Unity Greeter - Background of the Unity Greeter should reflect the background chosen by the user that is currently selected

Reported by John Lea on 2011-09-07
90
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Ayatana Design
High
Mika Meskanen
Light Display Manager
Undecided
Unassigned
Unity Greeter
High
Unassigned
accountsservice
Confirmed
Wishlist
accountsservice (Ubuntu)
Undecided
Unassigned
gnome-control-center (Ubuntu)
Undecided
Unassigned
lightdm (Ubuntu)
Undecided
Unassigned
unity-greeter (Ubuntu)
Medium
Michael Terry

Bug Description

Background of the Unity Greeter should reflect the background chosen by the user that is currently selected.

e.g. the background the user has selected on their desktop should be displayed in the greeter. See the attached animation login_screen_v02_WP.mov to understand exactly how the backgrounds should crossfade.

John Lea (johnlea) wrote :
Changed in ayatana-design:
assignee: nobody → Mika Meskanen (mesq)
importance: Undecided → High
status: New → Fix Committed
tags: added: onew udo
summary: - - Unity Greeter - Background of the Unity Greeter should reflect the
+ Unity Greeter - Background of the Unity Greeter should reflect the
background chosen by the user that is currently selected
Changed in unity-greeter:
status: New → Triaged
importance: Undecided → Medium
Robert Ancell (robert-ancell) wrote :

The code to do this is in unity-greeter, the work needs to be done on getting the gnome-settings-daemon to provide this information to the greeter in some way. Will open tasks on these modules when we have the implementation sorted out.

Changed in unity-greeter (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
John Lea (johnlea) on 2011-09-28
Changed in ayatana-design:
status: Fix Committed → Fix Released

no change here on end-user side... did the fix make it to the distro yet?

John Lea (johnlea) on 2011-10-18
tags: added: udp
Changed in ayatana-design:
status: Fix Released → Fix Committed
John Lea (johnlea) on 2011-10-19
Changed in ayatana-design:
status: Fix Committed → Triaged
Fred (eldmannen+launchpad) wrote :

What about the privacy implications of this?

Since it is a personalization setting by the user, it is personal to the user, and the user does not expect his personal settings to be leaked to other people and should not be accessible from outside his or her account.

My desktop background is of my imaginary girlfriend, and she just happens to be nude on that photo.

Farran (farran) wrote :

The effects in that video are damn slick, and look fantastic, but I immediately thought of the same problem as @Fred.. the user's background could be of absolutely anything. Perhaps in the background settings (or the login screen settings, or both) there could be an option to enable this feature (opt-in rather than opt-out of course)?

Robert Ancell (robert-ancell) wrote :

You will be able to disable the background switcher in /etc/lightdm/unity-greeter.conf.

Matt Sturgeon (mattsturgeon) wrote :

I think a per-user opt-out is a good idea, /etc/lightdm/unity-greeter.conf is for all users, and being a text file, is not ideal for user-friendlyness...

The Appearance settings should have a checkbox "show my wallpaper on the login screen" or something similar...

Dmitry Shachnev (mitya57) wrote :

A checkbox in System Settings for "Don't use my wallpaper on the login screen" is a good idea, but it requires patching of g-c-c and probably g-s-d.

Also, if user agrees to "share" his wallpaper, it can be also used on the "unlock screen" dialog.

Eric Appleman (erappleman) wrote :

I agree with Fred and his waifu wallpaper.

What if the background is NSFW or confidential?

This should be opt-in for reasons I outline in bug 891563.

On 17/11/11 11:30, Eric Appleman wrote:
> I agree with Fred and his waifu wallpaper.
>
> What if the background is NSFW or confidential?

Don't pick a wallpaper which can be viewed over your shoulder or when
you unlock a screen or plug into a projector that you are not
comfortable with your mother[-in-law] seeing.

Mark

Seriously Mark?

With all due respect, I doubt anyone could consider your comment as being a valid reason to not implement such a feature.

It is perfectly understandable to take in consideration the type of wallpaper in accordance with the given usage context of a computer or desktop.

But in the case I or anyone does choose to select a NSFW image as a background, at home per say, and do not want my children (for example) to view it by logging off, an option to keep all content, including wallpaper private is a valid credential for such an implementation.

Mark Shuttleworth (sabdfl) wrote :

On 17/11/11 19:07, Nathanel Titane wrote:
> But in the case I or anyone does choose to select a NSFW image as a
> background, at home per say, and do not want my children (for example)
> to view it by logging off, an option to keep all content, including
> wallpaper private is a valid credential for such an implementation.

What would we call that option?

  [ ] Guarantee my chances of feeling caught out someday

;-)

Mark

It could be part of the "encrypt home folder category"... or on a per user session basis just state it as "Reveal my background on login [ x ]" within GCC's background options

>> i take my chances : )

Mark Shuttleworth (sabdfl) wrote :

That's nicely phrased, but the option is still not warranted. We set a high bar for every additional choice we offer every single user, and this doesn't get over the threshold I'm afraid.

Changed in ayatana-design:
status: Triaged → Won't Fix
status: Won't Fix → Fix Released
Changed in unity-greeter:
importance: Medium → High
Dylan McCall (dylanmccall) wrote :

Keep in mind that LightDM should probably fall back gracefully if it
can't find the background image for a user (and if it doesn't that's
almost definitely a bug). So, if you're on a multi-user machine and
you're concerned about other people seeing your stuff, the best
solution (and the one we support) is to change the accessibility of
the file itself.

So, Nathanel, the setting you want is in Nautilus. Right click the
offending file, choose Properties, then head to Permissions and tell
it to disable access for Others.

Mark Shuttleworth (sabdfl) wrote :

Neat.

Interesting...

Anyway.. good luck with the implementation.

On Thu, Nov 17, 2011 at 5:08 PM, Mark Shuttleworth <
<email address hidden>> wrote:

> Neat.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (854280).
> https://bugs.launchpad.net/bugs/844081
>
> Title:
> Unity Greeter - Background of the Unity Greeter should reflect the
> background chosen by the user that is currently selected
>
> Status in Ayatana Design:
> Fix Released
> Status in Unity Greeter:
> Triaged
> Status in “unity-greeter” package in Ubuntu:
> Triaged
>
> Bug description:
> Background of the Unity Greeter should reflect the background chosen
> by the user that is currently selected.
>
> e.g. the background the user has selected on their desktop should be
> displayed in the greeter. See the attached animation
> login_screen_v02_WP.mov to understand exactly how the backgrounds
> should crossfade.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/844081/+subscriptions
>

--
*TND*esigns | Graphic & Industrial Design Solutions Inc.

Étudiant finissant EDIN 2012 | Université de Montréal

Senior student INDS 2012 | University of Montreal

<email address hidden>

514 . 583 . 7386

Dylan McCall (dylanmccall) wrote :

On Thu, Nov 17, 2011 at 1:52 PM, Dylan McCall <email address hidden> wrote:
> Keep in mind that LightDM should probably fall back gracefully if it
> can't find the background image for a user (and if it doesn't that's
> almost definitely a bug). So, if you're on a multi-user machine and
> you're concerned about other people seeing your stuff, the best
> solution (and the one we support) is to change the accessibility of
> the file itself.

Oh, when I say "we support" I of course mean the royal "we", where the
idea of changing file permissions (or using encryption) to keep
another user from accessing a file is an approach that is generally
encouraged and supported since it's solving the problem closer to its
root.
Sorry if I confused anyone, and sorry for the extra noise. Just
thought I'd make that oddity in my comment clear ;)

Robert Ancell (robert-ancell) wrote :

The implementation we are aiming for is to have the image stored by the accounts service in the same way that the face image is. We don't want to access the user's home directory directly as it may not be available until authentication has been completed. This has the same limitation of potential offensiveness (you can always set your face image to something offensive) but it also means that the background is volunteered by the session to be shown in the greeter. If a session does not provide a background then the default will be shown. In Ubuntu the default behaviour will have the background updated in accounts service each time it is changed in gnome-control-center. As Mark said an option to disable this would probably doesn't seem worth adding to the GUI, but I would add a GSettings key to disable this and this could be exposed in a tool like Gnome Tweak Tool or Ubuntu Tweak.

Mark Shuttleworth (sabdfl) wrote :

On 18/11/11 02:33, Dylan McCall wrote:
> On Thu, Nov 17, 2011 at 1:52 PM, Dylan McCall <email address hidden> wrote:
>> Keep in mind that LightDM should probably fall back gracefully if it
>> can't find the background image for a user (and if it doesn't that's
>> almost definitely a bug). So, if you're on a multi-user machine and
>> you're concerned about other people seeing your stuff, the best
>> solution (and the one we support) is to change the accessibility of
>> the file itself.
> Oh, when I say "we support" I of course mean the royal "we", where the
> idea of changing file permissions (or using encryption) to keep
> another user from accessing a file is an approach that is generally
> encouraged and supported since it's solving the problem closer to its
> root.
> Sorry if I confused anyone, and sorry for the extra noise. Just
> thought I'd make that oddity in my comment clear ;)
>

It wasn't noise, it was the best suggestion yet.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 18/11/11 04:30, Robert Ancell wrote:
> As Mark said
> an option to disable this would probably doesn't seem worth adding to
> the GUI, but I would add a GSettings key to disable this and this could
> be exposed in a tool like Gnome Tweak Tool or Ubuntu Tweak.

Please don't do that; it's extra code, extra documentation, extra
testing, extra bugs. Putting in a hidden setting assumes all the costs
of the setting with relatively few of the benefits.

Mark

In Ubuntu, we want to add support in LightDM for displaying the selected user's background (see https://launchpad.net/bugs/844081).

Ideally that would happen in the AccountsService layer. I'll work on a patch, but I wanted to check in first and see:

A) If this is something ya'll are interested in too.

B) What names you would want to use. I'm thinking a mirror of IconFile, so "BackgroundFile" in the DBus API, "background_file" in the C API, and "Background" in the keyfile.

Michael Terry (mterry) wrote :

I've started with some implementation of this. The simple case is easy, where it's just one wallpaper with default settings.

But I'm assuming our goal is seamlessness. So that when you log in, you see the same exact wallpaper (minus dots and branding obviously).

That means that for full integration, we would need to support the following features (modifiable via the Appearance panel):

A) One wallpaper
B) Multiple wallpapers, transitioning at times defined in an XML file (see /usr/share/backgrounds/contest/background-1.xml)
C) One solid color
D) A vertical color gradient
E) A horizontal color gradient

And for the wallpaper cases, we'd need to support possible modes like "zoom", "centered", "stretched", etc. (only modifiable via gsettings right now).

I'll start looking into this broader scope soon, but if there is a smaller target we want to hit for 12.04, let me know.

Sebastien Bacher (seb128) wrote :

just my take but I think handling the one background static image case should be enough...

Robert Ancell (robert-ancell) wrote :

Correct on seamlessness being the goal. The only thing that has to work for 12.04 is that the greeter should layout the wallpaper using the same transformation as the GNOME/Unity default. Anything else is a bonus, and worth bumping to a later release. I don't think we want to support transitioning wallpapers at all, if someone has this configured we should just show the first one (transitioning would be confusing and look like the selected user was changing). Treat a non image based wallpaper as unset and show the system default for now.

Changed in accountsservice:
importance: Unknown → Wishlist
status: Unknown → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package accountsservice - 0.6.15-2ubuntu1

---------------
accountsservice (0.6.15-2ubuntu1) precise; urgency=low

  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
      LP: #844081
 -- Michael Terry <email address hidden> Wed, 07 Dec 2011 10:25:00 -0500

Changed in accountsservice (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.2.2-0ubuntu3

---------------
gnome-control-center (1:3.2.2-0ubuntu3) precise; urgency=low

  * debian/patches/91_set_accountsservice_background.patch:
    - When the user changes wallpapers, tell accountsservice about it.
      LP: #844081
  * debian/control.in:
    - Bump required version of accountsservice to one that supports setting
      BackgroundFile
  * debian/rules:
    - Pass --without-cheese so that when building locally with libcheese
      headers installed, the build doesn't automatically add support for it
 -- Michael Terry <email address hidden> Fri, 09 Dec 2011 13:35:15 -0500

Changed in gnome-control-center (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) on 2012-01-11
Changed in lightdm:
status: New → Fix Committed
Changed in lightdm (Ubuntu):
status: Confirmed → Fix Committed
Michael Terry (mterry) on 2012-01-12
Changed in unity-greeter (Ubuntu):
status: Triaged → Fix Committed
Changed in unity-greeter:
status: Triaged → Fix Committed
Michael Terry (mterry) on 2012-01-12
Changed in unity-greeter (Ubuntu):
assignee: nobody → Michael Terry (mterry)
Changed in lightdm:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.1.1-0ubuntu1

---------------
lightdm (1.1.1-0ubuntu1) precise; urgency=low

  * New upstream release:
    * Support PAM requesting a change of password (lp: #911597)
    * Support for reading users' backgrounds from Accounts Service
      (lp: #844081)
    * Switching to a user without a password bypasses the greeter
      (lp: #861177)
    * Move the GTK+ and Qt greeters into their own projects
  * Drop the gtk and qt greeters packaging files from this source
  * debian/liblightdm-gobject-1-0.symbols:
    - list new lightdm_user_get_background symbol
  * debian/patches/04_CVE-2011-4105.patch,
    debian/patches/05_CVE-2011-3153.patch,
    debian/patches/09_show_lang_chooser_option.patch,
    debian/patches/10_available_languages.patch,
    debian/patches/11_set_language_in_accountsservice.patch:
    - dropped, those issues are fixed in the new version or apply to the
      gtk greeter which is moved to its own source
  * debian/rules:
    - install lightdm-set-defaults back to its previous location
 -- Sebastien Bacher <email address hidden> Wed, 18 Jan 2012 11:10:03 +0100

Changed in lightdm (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-greeter:
status: Fix Committed → Fix Released
Michael Terry (mterry) wrote :

This was fixed in recently released 0.2.0.

Changed in unity-greeter (Ubuntu):
assignee: Michael Terry (mterry) → nobody
status: Fix Committed → Fix Released
assignee: nobody → Michael Terry (mterry)
Afzal (afzalnaj) wrote :

To Mark Shuttleworth, a lot of other people use Ubuntu besides you and they should also have a say in what they want or not.

So kindly try to consider other people's suggestions instead of making snide remarks about serious privacy concerns. A computer is a personal device and because of that, anyone should be able to choose any wallpaper they desire and not have it revealed to others if they wish so. This "wallpaper transition" feature is more unneeded than the option of opting-out of it.

So if you're putting in that option, you sure as hell better put an option to opt out of it.

On 19/01/12 17:39, Afzal wrote:
> To Mark Shuttleworth, a lot of other people use Ubuntu besides you and
> they should also have a say in what they want or not.

They do; they have a say in design, in development, and in bugs. Here
you've had your say and you've made a hash of it. Instead of offering
constructive suggestions you've slammed out your own opinions with no
justification, and then made a threatening demand. You'll find that
achieves very little.

> So kindly try to consider other people's suggestions instead of making
> snide remarks about serious privacy concerns. A computer is a personal
> device and because of that, anyone should be able to choose any
> wallpaper they desire and not have it revealed to others if they wish
> so.

Consider this. They choose their login identity, at which point we show
their desktop. That persists for as long as it takes them to type their
password. Then we.... show their desktop.

By definition, your wallpaper is exactly as public as your face. So
think carefully what you tattoo on your face ;-)

> This "wallpaper transition" feature is more unneeded than the option
> of opting-out of it.

We disagree. Let's try to do so graciously.

> So if you're putting in that option, you sure as hell better put an
> option to opt out of it.

Or... you'll use something else. That's OK. Or... you'll patch Unity to
behave the way you'd like? That's OK too.

Mark

Glad to see it'S over and it'S been finally done :)

Maybe I'll come back to Ubuntu starting 12.04 ;)

On Thu, Jan 19, 2012 at 1:05 PM, Mark Shuttleworth <
<email address hidden>> wrote:

> On 19/01/12 17:39, Afzal wrote:
> > To Mark Shuttleworth, a lot of other people use Ubuntu besides you and
> > they should also have a say in what they want or not.
>
> They do; they have a say in design, in development, and in bugs. Here
> you've had your say and you've made a hash of it. Instead of offering
> constructive suggestions you've slammed out your own opinions with no
> justification, and then made a threatening demand. You'll find that
> achieves very little.
>
> > So kindly try to consider other people's suggestions instead of making
> > snide remarks about serious privacy concerns. A computer is a personal
> > device and because of that, anyone should be able to choose any
> > wallpaper they desire and not have it revealed to others if they wish
> > so.
>
> Consider this. They choose their login identity, at which point we show
> their desktop. That persists for as long as it takes them to type their
> password. Then we.... show their desktop.
>
> By definition, your wallpaper is exactly as public as your face. So
> think carefully what you tattoo on your face ;-)
>
> > This "wallpaper transition" feature is more unneeded than the option
> > of opting-out of it.
>
> We disagree. Let's try to do so graciously.
>
> > So if you're putting in that option, you sure as hell better put an
> > option to opt out of it.
>
> Or... you'll use something else. That's OK. Or... you'll patch Unity to
> behave the way you'd like? That's OK too.
>
> Mark
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (854280).
> https://bugs.launchpad.net/bugs/844081
>
> Title:
> Unity Greeter - Background of the Unity Greeter should reflect the
> background chosen by the user that is currently selected
>
> Status in D-Bus interfaces for querying and manipulating user account
> information:
> Confirmed
> Status in Ayatana Design:
> Fix Released
> Status in Light Display Manager:
> Fix Released
> Status in Unity Greeter:
> Fix Released
> Status in “accountsservice” package in Ubuntu:
> Fix Released
> Status in “gnome-control-center” package in Ubuntu:
> Fix Released
> Status in “lightdm” package in Ubuntu:
> Fix Released
> Status in “unity-greeter” package in Ubuntu:
> Fix Released
>
> Bug description:
> Background of the Unity Greeter should reflect the background chosen
> by the user that is currently selected.
>
> e.g. the background the user has selected on their desktop should be
> displayed in the greeter. See the attached animation
> login_screen_v02_WP.mov to understand exactly how the backgrounds
> should crossfade.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/accountsservice/+bug/844081/+subscriptions
>

--
*TND*esigns | Graphic & Industrial Design Solutions Inc.

Étudiant finissant EDIN 2012 | Université de Montréal

Senior student INDS 2012 | University of Montreal

<email address hidden>

514 . 583 . 7386

Doug McMahon (mc3man) wrote :

On 19/01/12 17:39, Afzal wrote:
>anyone should be able to choose any
> wallpaper they desire and not have it revealed to others if they wish
> so.

If that is the case for you or anyone then just place your desktop image that no one shouls see in some non standard dir.
Atm there are many such dir.'s in ~/

lusepuster (thoeger) wrote :

> Consider this. They choose their login identity, at which point we show
> their desktop. That persists for as long as it takes them to type their
> password. Then we.... show their desktop.
>
> By definition, your wallpaper is exactly as public as your face. So
> think carefully what you tattoo on your face ;-)

Excuse me, but... Are you serious?

Your wallpaper today is only "public" in as much as people can look over your shoulder when you are logged in and working on your computer, but so is *anything* you are working with, and I haven't yet seen anyone use that as an argument to make e.g. your bookmarks and personal files accessible and highly visible to other users on the system. So why should the wallpaper be any different? Why should the wallpaper, exactly, be accessible to every other user of the system, whether you trust them or not? Shouldn't it be the user's own choice whether they want to share their private data with everyone else having an account on that computer?

I think the "you just shouldn't choose a wallpaper you don't want your parents/wife/kids/roomie to see" argument rings unpleasantly of Apple's "We know best how you should use your computer" attitude.
Yes, I know, you can just change permissions on the file - but you have to be most computer savvy than most to know that such a setting would carry over to the wallpaper (How do I, as a casual user, know it doesn't just make a copy and changes the permissions when I set an image as the wallpaper?). But really, it should be a fundamental pillar of the UI design that the user alone, no one else, decides who they'll share their personal data with.

Afzal (afzalnaj) wrote :

Ok, maybe my last message was the wrong tone but consider this scenario:

Say I'm a converted christian and my mom's a muslim and she doesn't know about my conversion.

I have a portrait of Jesus as my wallpaper. Oh and I only log into that computer when my mom isn't around. If she sees it, she might flip out over possibilities of conversion and if this feature didn't exist, I'd be free to set my wallpaper to anything.

There could be a thousand other scenarios, what if the power went down right after I checked to see how some half-nude wallpaper would look on the desktop? My conservative mom would get very angry...especially if she's paranoid wnough to actually check my wallpaper every time she logs in.

All of this isn't a problem for me and as you (Mark) said, I could just write a patch for this but I'm just appalled that a CEO of a company like Canonical has a problem with giving users a very trivial (to implement) option when they are asking for it.

Adolfo Jayme (fitoschido) wrote :

@Afzal, comment #36: Mark Shuttleworth is not the CEO of Canonical ;-)

And why whould we complicate our life? Simply don't pick an innapropiate wallpaper, go back to the roots, no need to add more settings...

I don't quite understand why some users are always complaining about features added or removed, because they can always change the defaults and, for example, install another greeter or display manager.

Sorry, but commenting in a closed bug report is not that helpful. Discuss this in Ayatana mailing list and don't spam bug subscribers. In any case, I consider this feature a nice touch, and it is just days old, let it be and maybe you'll discover that you like it ;-)

Dylan McCall (dylanmccall) wrote :

I'm thinking of it like this: the background picture in 12.04 is a personal
touch in the same sense as your name or your profile picture. It is part of
your public profile, and it's a way for the OS to say “this belongs to Bob.”
(It works like this in lots of popular web services, for what it's worth.
Facebook, Twitter and Tumblr spring to mind).

That IS a change in approach from 11.10, where the background was visible
by circumstance but not necessarily on purpose. They're different
approaches, and that's pretty well it. Ubuntu's backgrounds are not like
other desktop operating systems, but neither is Ubuntu. The feature makes
sense in its own right, and it's quite clear - from the first time someone
logs in - that it is happening. I, for one, don't see a problem there.

Mark Shuttleworth (sabdfl) wrote :

On 20/01/12 01:37, Afzal wrote:
> Say I'm a converted christian and my mom's a muslim and she doesn't know
> about my conversion.
>
> I have a portrait of Jesus as my wallpaper. Oh and I only log into that
> computer when my mom isn't around. If she sees it, she might flip out
> over possibilities of conversion and if this feature didn't exist, I'd
> be free to set my wallpaper to anything.

You'd have way deeper challenges than choice of wallpaper in this scenario.

> There could be a thousand other scenarios, what if the power went down
> right after I checked to see how some half-nude wallpaper would look on
> the desktop? My conservative mom would get very angry...especially if
> she's paranoid wnough to actually check my wallpaper every time she logs
> in.

Your Mom knows more about you than you can possibly imagine.

> All of this isn't a problem for me and as you (Mark) said, I could just
> write a patch for this but I'm just appalled that a CEO of a company
> like Canonical has a problem with giving users a very trivial (to
> implement) option when they are asking for it.

The cost of options has been widely discussed. We have a firm view on
it, it's my job to lead to that view. You are welcome to fork Unity with
as many trivial (to implement) options as you like.

Mark

Fred (eldmannen+launchpad) wrote :

> Your Mom knows more about you than you can possibly imagine.
My mom doesn't know that I'm gay.
I have a "girlfriend" to cover it up.

Afzal (afzalnaj) wrote :

Mark, you're going off-topic. Anyway, since you aren't even trying to consider this other option. I'm gonna stop debating with you.

I can't believe we're all still on this debate.. it's only logical to be
able to opt-out if it reflects the user's choice...

is it really that annoying to implement?

On Fri, Jan 20, 2012 at 11:19 AM, Afzal <email address hidden> wrote:

> Mark, you're going off-topic. Anyway, since you aren't even trying to
> consider this other option. I'm gonna stop debating with you.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (854280).
> https://bugs.launchpad.net/bugs/844081
>
> Title:
> Unity Greeter - Background of the Unity Greeter should reflect the
> background chosen by the user that is currently selected
>
> Status in D-Bus interfaces for querying and manipulating user account
> information:
> Confirmed
> Status in Ayatana Design:
> Fix Released
> Status in Light Display Manager:
> Fix Released
> Status in Unity Greeter:
> Fix Released
> Status in “accountsservice” package in Ubuntu:
> Fix Released
> Status in “gnome-control-center” package in Ubuntu:
> Fix Released
> Status in “lightdm” package in Ubuntu:
> Fix Released
> Status in “unity-greeter” package in Ubuntu:
> Fix Released
>
> Bug description:
> Background of the Unity Greeter should reflect the background chosen
> by the user that is currently selected.
>
> e.g. the background the user has selected on their desktop should be
> displayed in the greeter. See the attached animation
> login_screen_v02_WP.mov to understand exactly how the backgrounds
> should crossfade.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/accountsservice/+bug/844081/+subscriptions
>

--
*TND*esigns | Graphic & Industrial Design Solutions Inc.

Étudiant finissant EDIN 2012 | Université de Montréal

Senior student INDS 2012 | University of Montreal

<email address hidden>

514 . 583 . 7386

Mark Shuttleworth (sabdfl) wrote :

On 20/01/12 16:14, Fred wrote:
>> Your Mom knows more about you than you can possibly imagine.
> My mom doesn't know that I'm gay.
> I have a "girlfriend" to cover it up.

This is not a private communication ;-)

Folks, we can construct artificial scenarios to make any option
worthwhile. That's not how we do design; instead of celebrating the
unusual and the extreme, we look for the things that most people can
enjoy and use. That's where we focus our energy. The world of Linux and
Ubuntu will always have infinite possibilities for those who want to
explore them, but it's not in our value set to FORCE everyone who takes
a vanilla CD off the shelf to *have to deal* with those possibilities.

This is good practice. It makes Ubuntu grow and achieves our goals as a
community. As a side benefit, it attracts lots of developers who want to
be part of changing the world, and who want to write applications for
those users.

In this case, as was rather eloquently put, we've chosen to treat the
wallpaper as a part of your expression of yourself to others. That's a
perfectly reasonable position to take - look how *proudly* people show
off their wallpapers! We're celebrating that, and elevating that. And we
think this is good. Moreover, we think the position that one would
choose a wallpaper that would cause mortal embarrassment is (a) so
unlikely, and (b) so impossible to enforce, that it does not warrant an
option.

We have a saying - options cost a knuckle, dialogs cost a finger. This
isn't worth a knuckle.

We have FAR more pressing problems on the discretion front. Top of my
list is the fact that we don't map notifications away from projectors.
That's far more risky - you can control your choice of wallpaper, but
you can't control what someone might IM to you while you are making your
critical presentation.

So, please help us address that issue. I'm sure we all agree that's more
important, and perhaps, by the time we come back to this less important
issue, we will all have evolved our positions. OK?

Mark

Mark Shuttleworth (sabdfl) wrote :

On 20/01/12 16:51, Nathanel Titane wrote:
> is it really that annoying to implement?

No, of course not. But it's an additional friction for every user of the
system, if we expose it as an option.

We have had a perfectly good (and very insightful) suggestion to use
permissions to cover this. There are some implementation issues with
that, but I'm more happy to cover the cost of the harder implementation
than to ask every single Ubuntu user to have to parse another option.

Mark

tags: removed: udp
Victor Zamanian (victorz) wrote :

I'm very late to this party, but:

"We have FAR more pressing problems on the discretion front. Top of my
list is the fact that we don't map notifications away from projectors.
That's far more risky - you can control your choice of wallpaper, but
you can't control what someone might IM to you while you are making your
critical presentation.

So, please help us address that issue. I'm sure we all agree that's more
important, and perhaps, by the time we come back to this less important
issue, we will all have evolved our positions. OK?"

By your logic, a perfectly acceptable solution to this is to just uninstall notifications. Or uninstall their IM program. Simple right? Or just not use Ubuntu! Or the regular user could just patch it themselves! Oh how simple. All your reasons for ignoring this option are perfectly applicable to the "more pressing" issue you described. In my experience, the amount of people who have "offensive" (or "private" as I'd much rather call them, because "offensive" is surely a very small subset of "private") wallpapers is much greater than the amount of people who use projectors while their IM program is running.

And what! I think I just solved your "pressing problem" -- just turn your IM program off? Could it be that simple? Otherwise, uninstall it.

I'm sorry for any unwarranted sarcasm or spitefulness, but this bug report thread made me really, really sad about Ubuntu's attitude and priorities at the top of the mound. :-\

With love,
Victor

Sebastien Bacher (seb128) wrote :

@Victor: notifications have nothing to do with unity-greeter or that bug, please don't post about random topics on unrelated bugs like that

Adolfo Jayme (fitoschido) wrote :

@victor: I didn't know the "Ubuntu's attitude" existed. And I don't get why this feature has so much hate. Please go to a forum to discuss and spit your hate, don't clutter old bug reports. Sorry.

yman (s-y-schwarz) wrote :

I'd be concerned that a user might choose an inappropriate desktop wallpaper and I'd have no way to prevent it from being displayed to everyone who uses the computer, so as admin I'd want to be able to switch off the feature of showing the selected user's wallpaper on LightDM and instead only show the same wallpaper for everybody. What people put as the wallpaper on their own account is up to them, but the login screen is a shared space.

Aside from that, as someone who isn't admin I might not want to show everyone my wallpaper. For instance, I use a wallpaper of Humble Indie Bundle 5 which seems childish for my age. I might not want others to see it when they come to use the computer. Now that I've read some of the comment section I know I can hide it with file permissions, but I wouldn't have thought of that on my own even after using Ubuntu for over 6 years. It makes much more sense in terms of organization, intuitiveness, and respecting user's privacy (which I thought Ubuntu was trying to champion) to make it a switch in the Appearance panel:
[X] Show my wallpaper on the log in screen

Which behind the scenes just changes the permissions on the file as described by others. No fancy stuff.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.